from .roc import ROCAdvice
from .som import SOMAdvice
from .cdn import CDNAdvice
from .cpcss import CPCSSAdvice
from .imgopt import ImgOptAdvice

advice_mapping = {
    "OBJECT_CACHE": ROCAdvice(),
    "SITE_OPTIMIZATION": SOMAdvice(),
    "CDN": CDNAdvice(),
    "CPCSS": CPCSSAdvice(),
    "IMAGE_OPTIMIZATION": ImgOptAdvice()
}

supported = tuple(advice_mapping.keys())
