# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying Image Optimization Advice
"""
import logging

from .wpos_base import WPOSModuleApply

logger = logging.getLogger('imgopt_advice')


class ImgOptAdvice(WPOSModuleApply):
    """Image Optimization advice"""

    short_description = "Turn on Image Optimization"
    detailed_description = "Website load times and the speed score " \
                           "for many of your site visitors can be improved " \
                           "by enabling the Image Optimization.\n" \
                           "Note: Applying the current advice will also enable the AccelerateWP feature."
    apply_button_text = "Turn on Image Optimization"
    module_name = 'image_optimization'
    is_premium_feature = True
    suite = 'accelerate_wp_premium'
